DistributedRunner (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.engine, class: DistributedRunner

Package org.apache.jmeter.engine

# Class DistributedRunner

java.lang.Object
org.apache.jmeter.engine.DistributedRunner

public class DistributedRunner extends Object
This class serves all responsibility of starting and stopping distributed tests. It was refactored from JMeter and RemoteStart classes to unify retry behavior.

See Also:
  - `JMeter`
  - `RemoteStart`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTINUE_ON_FAIL`
  `static final String`
  `RETRIES_DELAY`
  `static final String`
  `RETRIES_NUMBER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistributedRunner()`
  `DistributedRunner(Properties props)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected JMeterEngine`
  `createEngine(String address)`
  A factory method that might be overridden for unit testing
  `void`
  `exit(List<String> addresses)`
  `Collection<? extends JMeterEngine>`
  `getEngines()`
  `void`
  `init(List<String> addresses, HashTree tree)`
  `void`
  `setStdErr(PrintStream stdErr)`
  `void`
  `setStdout(PrintStream stdout)`
  `void`
  `shutdown(List<String> addresses)`
  `void`
  `start()`
  Start all engines that were previously initiated
  `void`
  `start(List<String> addresses)`
  Starts a remote testing engines
  `void`
  `stop()`
  Stop all engines that were previously initiated
  `void`
  `stop(List<String> addresses)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RETRIES_NUMBER

    public static final String RETRIES_NUMBER
    See Also:
      - Constant Field Values

  - ### RETRIES_DELAY

    public static final String RETRIES_DELAY
    See Also:
      - Constant Field Values

  - ### CONTINUE_ON_FAIL

    public static final String CONTINUE_ON_FAIL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DistributedRunner

    public DistributedRunner()

  - ### DistributedRunner

    public DistributedRunner(Properties props)

- ## Method Details

  - ### init

    public void init(List<String> addresses, HashTree tree)

  - ### start

    public void start(List<String> addresses)
    Starts a remote testing engines
    Parameters:
      `addresses` - list of the DNS names or IP addresses of the remote testing engines

  - ### start

    public void start()
    Start all engines that were previously initiated

  - ### stop

    public void stop(List<String> addresses)

  - ### stop

    public void stop()
    Stop all engines that were previously initiated

  - ### shutdown

    public void shutdown(List<String> addresses)

  - ### exit

    public void exit(List<String> addresses)

  - ### createEngine

    protected JMeterEngine createEngine(String address) throws RemoteException, NotBoundException
    A factory method that might be overridden for unit testing
    Parameters:
      `address` - address for engine
    Returns:
      engine instance
    Throws:
      `RemoteException` - if registry can't be contacted
      `NotBoundException` - when name for address can't be found

  - ### setStdout

    public void setStdout(PrintStream stdout)

  - ### setStdErr

    public void setStdErr(PrintStream stdErr)

  - ### getEngines

    public Collection<? extends JMeterEngine> getEngines()
    Returns:
      `Collection` of `JMeterEngine`